Bug 531675 - Content of update site needs refresh to be displayed
Content of update site needs refresh to be displayed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-10-29 00:13 EDT by Ben Konrath
Modified: 2010-08-23 15:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 15:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 290395 None None None Never

  None (edit)
Description Ben Konrath 2009-10-29 00:13:35 EDT
Description of problem:

It's not possible to install features from update sites.

Version-Release number of selected component (if applicable):

eclipse-platform-3.5.1-1.fc12.i686

How reproducible:

Always.

Steps to Reproduce:
1. Ensure the Pydev RPM is not installed
2. Add Pydev update site: http://pydev.org/updates
  
Actual results:

Nothing shows up the table below the update site entry combo box.

Expected results:

I should be able to install features with update sites.

Additional info:

Testing the connection with 'Available Software Sites -> Pydev entry -> Test Connection' works
Comment 1 Andrew Overholt 2009-10-29 09:26:55 EDT
It's not that things can't be installed, it's that the content isn't being drawn after initial loading.  If I hit the Add button to add another site or type something in the filter box and then erase it, the list refreshes and re-draws.  I'll consult with upstream.  Thanks for the report.
Comment 2 Andrew Overholt 2009-10-29 09:29:43 EDT
This happens with upstream, too.  I suspect a gtk 2.18 issue.  I'll file a bug upstream and link to it from here.
Comment 3 Ben Konrath 2009-10-29 11:13:37 EDT
FWIW, I had a lot of pango_layout_new crashes when I was playing around with this last night on my i686 rawhide box. Maybe it's related.
Comment 4 Andrew Overholt 2009-10-29 14:46:11 EDT
If we make /usr/bin/eclipse a wrapper script which simple sets GDK_NATIVE_WINDOWS and then executes %{_libdir}/eclipse/eclipse, we can work around this issue.  Upstream recommends this:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=290395#c9

I'm still hoping we can set this programmatically but we may need to revert (a few releases ago we had one) to a wrapper script.
Comment 5 Andrew Overholt 2009-10-30 08:52:26 EDT
I have a build going now with a wrapper script:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1778759
Comment 6 James Laska 2009-10-30 17:04:09 EDT
In email discussion, Andrew felt this issue is worth considering as an F12Blocker.
Comment 7 Adam Williamson 2009-10-30 17:43:19 EDT
This was discussed in the blocker bug meeting today. We looked for Andrew to provide his input but we can't see any reason why a bug in a subcomponent of Eclipse should block the distribution release, but releng will accept a tag request if you want to have the fix in final; for non-critpath components, you don't need a blocker bug to justify a tag request, if that's what you thought. Dropping from the blocker list.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Andrew Overholt 2009-11-02 09:40:58 EST
Sorry, I didn't know about a blocker meeting.  I'll request a tag.
Comment 9 Bug Zapper 2010-03-15 08:59:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Andrew Overholt 2010-08-23 15:40:39 EDT
This was fixed a long time ago (we put a workaround into /usr/bin/eclipse).

Note You need to log in before you can comment on or make changes to this bug.